<?php

namespace app\api\controller\Code;

use app\BaseController;
use app\common\model\Code\CodeModule as ModelCodeModule;
use app\api\logic\Code\CodeModule as LogicCodeModule;
use app\api\logic\Code\CodeModuleCategory as ModelCodeModuleCategory;
use app\Request;
use think\Validate;
use think\exception\ValidateException;
use think\facade\Filesystem;
use app\common\arw\adjfut\src\Excel;
use app\common\arw\adjfut\src\UploadFile;
use think\facade\Db;
use app\common\exception\Tool;
use think\facade\Env;


class CodeModule extends BaseController
{
    /**
     * 获取指定子类目代码块列表接口
     * 
     * @param Request $request
     * @return array
     * @date 2023-06-28
     * @author xjh
     * @since 1.0.0
     */
    public function getCategoryCodeModuleList(Request $request): array
    {
        $params = $request->param();
        $this->validate($params, [
            'code_module_category_guid|子类目' => 'require',
        ]);

        $data = [];
        foreach ($params['code_module_category_guid'] as $code_module_category_guid) {
            ModelCodeModuleCategory::isSonCategory($code_module_category_guid);
            $code_module_list = ModelCodeModule::field([
                'code_module.code_module_guid',
                'code_module.code_module_category_guid',
                'code_module.code_module_name',
                'code_module.code_module_html',
                'code_module.code_module_style',
                'code_module.code_module_script',
                'code_module.code_module_sort',
                'code_module.code_module_audit',
                'code_module_category.code_module_category_name',
                'code_module_category.code_module_category_guid',
            ])->leftJoin('code_module_category', 'code_module_category.code_module_category_guid = code_module.code_module_category_guid')
                ->where('code_module.code_module_category_guid', $code_module_category_guid)
                ->scope('audit_pass')
                ->order('code_module.code_module_sort')->select();
            $data[] = $code_module_list;
        }
        return $data;
    }

}