<?php

namespace app\api\logic\Code;

use app\common\model\Code\CodeModuleCategory as ModelCodeModuleCategory;
use app\common\exception\Tool;


class CodeModuleCategory
{
    /**
     * 验证是否为子类目
     * 
     * @param string $code_module_category_guid 类目guid
     * @return void
     * @date 2023-06-28
     * @author xjh
     * @since 1.0.0
     */
    public static function isSonCategory(string $code_module_category_guid): void
    {
        $module_category = ModelCodeModuleCategory::scope('not_master')->find($code_module_category_guid);
        if (!$module_category) {
            throwErrorMsg("当前类目不为子类目！");
        }
    }
}